package com.sundot.airport.system.domain;

import com.sundot.airport.common.core.domain.entity.SysRole;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sundot.airport.common.annotation.Excel;
import com.sundot.airport.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 应用对象 sys_app
 *
 * @author ruoyi
 * @date 2025-11-20
 */
public class SysApp extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 应用ID
     */
    private Long appId;

    /**
     * 应用名称
     */
    @Excel(name = "应用名称")
    private String appName;

    /**
     * 应用链接
     */
    @Excel(name = "应用链接")
    private String appUrl;

    /**
     * 应用排序
     */
    @Excel(name = "应用排序")
    private Integer appSort;

    /**
     * 应用状态（0正常 1关闭）
     */
    @Excel(name = "应用状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    /**
     * 是否首页应用（0否 1是）
     */
    @Excel(name = "是否首页应用", readConverterExp = "0=否,1=是")
    private String homePage;

    /**
     * 首页图标
     */
    @Excel(name = "首页图标")
    private String homePageIcon;

    /**
     * 工作台图标
     */
    @Excel(name = "工作台图标")
    private String workbenchIcon;

    /**
     * 创建者ID
     */
    @Excel(name = "创建者ID")
    private Long createByUserId;

    /**
     * 更新者ID
     */
    @Excel(name = "更新者ID")
    private Long updateByUserId;

    /**
     * 非首页角色列表
     */
    private List<SysRole> sysRoleList;

    /**
     * 首页角色列表
     */
    private List<SysRole> homePageSysRoleList;

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppUrl(String appUrl) {
        this.appUrl = appUrl;
    }

    public String getAppUrl() {
        return appUrl;
    }

    public void setAppSort(Integer appSort) {
        this.appSort = appSort;
    }

    public Integer getAppSort() {
        return appSort;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setHomePage(String homePage) {
        this.homePage = homePage;
    }

    public String getHomePage() {
        return homePage;
    }

    public void setHomePageIcon(String homePageIcon) {
        this.homePageIcon = homePageIcon;
    }

    public String getHomePageIcon() {
        return homePageIcon;
    }

    public void setWorkbenchIcon(String workbenchIcon) {
        this.workbenchIcon = workbenchIcon;
    }

    public String getWorkbenchIcon() {
        return workbenchIcon;
    }

    public void setCreateByUserId(Long createByUserId) {
        this.createByUserId = createByUserId;
    }

    public Long getCreateByUserId() {
        return createByUserId;
    }

    public void setUpdateByUserId(Long updateByUserId) {
        this.updateByUserId = updateByUserId;
    }

    public Long getUpdateByUserId() {
        return updateByUserId;
    }

    public List<SysRole> getSysRoleList() {
        return sysRoleList;
    }

    public void setSysRoleList(List<SysRole> sysRoleList) {
        this.sysRoleList = sysRoleList;
    }

    public List<SysRole> getHomePageSysRoleList() {
        return homePageSysRoleList;
    }

    public void setHomePageSysRoleList(List<SysRole> homePageSysRoleList) {
        this.homePageSysRoleList = homePageSysRoleList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("appId", getAppId())
                .append("appName", getAppName())
                .append("appUrl", getAppUrl())
                .append("appSort", getAppSort())
                .append("status", getStatus())
                .append("homePage", getHomePage())
                .append("homePageIcon", getHomePageIcon())
                .append("workbenchIcon", getWorkbenchIcon())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .append("createByUserId", getCreateByUserId())
                .append("updateByUserId", getUpdateByUserId())
                .append("sysRoleList", getSysRoleList())
                .append("homePageSysRoleList", getHomePageSysRoleList())
                .toString();
    }
}
